TRUNCATE(1)

NAVN
truncate - shrink or extend the size of a file to the specified size

OVERSIKT
truncate VALG... FIL...

BESKRIVELSE

Krymp eller utvid hver FIL til valgt størrelse.

Ikke-eksisterende FILer blir opprettet.

Overskytende data går tapt hvis FIL(er) er større enn valgt størrelse. Hvis en FIL er mindre enn valgt størrelse, utvides den med tomme byte så langt det er nødvendig.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-c, --no-create
    Ikke opprett filer.

-o, --io-blocks
    Behandle STØRRelse som antall inn-/utdatablokker i stedet for antall byte.

-r, --reference=RFIL
    Baser størrelse på RFIL.

-s, --size=STØRR
    Velg eller juster filSTØRRelsen.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

STØRRelse er et valgfritt argument i heltallsformat (eks.: 10M er 10*1024*1024). Gyldige enheter er K, M, G, T, P, E, Z og Y (1024-byte-enheter) - evt. KB, MB, osv. (1000-byte-enheter). Du kan også bruke binær-prefiks i form av KiB (K), MiB (M), og så videre.

STØRRelse kan velges med følgende prefiks-tegn: «+» (utvid med), «-» (krymp), «<» (maksimalt), «>» (minst), «/» (avrund ned til noe som er delelig med), eller «%» (avrund opp).

OPPHAVSMANN
Skrevet av Padraig Brady.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
dd(1), truncate(2), ftruncate(2)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/truncate>
eller lokalt: info '(coreutils) truncate invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.